--- title: Get Skill | Luma Agents --- GET /v1/skills/{skill\_id} Select code samplecURL (shell:curl) ```js const url = 'https://agents.lumalabs.ai/v1/skills/example'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```sh curl --request GET \ --url https://agents.lumalabs.ai/v1/skills/example \ --header 'Authorization: Bearer ' ``` - Productionagents.lumalabs.ai/v1/skills/{skill\_id} ## Authorizations - **[BearerAuth](/api/agents/index.md#bearerauth)** ## Parameters ### Path Parameters **skill\_id** required *Skill Id* string ## Responses ### 200 Successful Response Media typeapplication/json *ClientSkill* One skill. Its content lives in its versions. object **created\_at** required *Created At* string format: date-time **description** required *Description* The latest version's `description`. string **id** required *Id* string format: uuid **latest\_version** required *Latest Version* integer **name** required *Name* The `name` in the skill's SKILL.md frontmatter. string **scope\_id** required Any of: - [string](#tab-panel-0-0) - [null](#tab-panel-0-1) string format: uuid null **updated\_at** required *Updated At* string format: date-time ##### Examplegenerated ```json { "created_at": "2026-04-15T12:00:00Z", "description": "example", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "latest_version": 1, "name": "example", "scope_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "updated_at": "2026-04-15T12:00:00Z" } ``` ### 422 Validation Error Media typeapplication/json *HTTPValidationError* object **detail** *Detail* Array\ *ValidationError* object **ctx** *Context* object **input** *Input* **loc** required *Location* Array **msg** required *Message* string **type** required *Error Type* string ##### Examplegenerated ```json { "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ] } ```